


#ifndef INPUT_OUTPUT_H
#define INPUT_OUTPUT_H

#include "world.h"
#include "input_output.h"
#include "player.h"

#define STEP_SIDE 0.4
#define STEP_FRONT 0.2

class InputOutput {

 private:
  World* world;
  Player* player;

 public:
  InputOutput (World* wld, Player* player);
  ~InputOutput ();

  void goUp(void);
  void goDown(void);
  void goLeft(void);
  void goRight(void);
  void shoot(void);


};

#endif
